import { ConstraintSuggestion, CursorPosition, SqlAutocompleteResult, TableOrViewSuggestion } from '../../shared/autocomplete-types';
import { ExtractStatementPositionsResult } from '../../shared/extract-statement-positions-from-query';
export interface PostgreSqlAutocompleteResult extends SqlAutocompleteResult {
    suggestViewsOrTables?: TableOrViewSuggestion;
    suggestIndexes?: boolean;
    suggestTriggers?: boolean;
    suggestConstraints?: ConstraintSuggestion;
    suggestSequences?: boolean;
    suggestSchemas?: boolean;
    suggestRoles?: boolean;
}
export declare function parsePostgreSqlQueryWithoutCursor(query: string): Pick<PostgreSqlAutocompleteResult, 'errors'>;
export declare function parsePostgreSqlQuery(query: string, cursor: CursorPosition): PostgreSqlAutocompleteResult;
export declare function parsePostgreSqlQueryWithCursor(queryWithCursor: string): PostgreSqlAutocompleteResult;
export declare function extractPostgreSqlStatementPositionsFromQuery(query: string): ExtractStatementPositionsResult;
